SDL_SIMDGetAlignment(3)

NAME
SDL_SIMDGetAlignment - Report the alignment this system needs for SIMD allocations.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_SIMDGetAlignment(void);

DESCRIPTION
This will return the minimum number of bytes to which a pointer must be aligned to be compatible with SIMD instructions on the current machine. For example, if the machine supports SSE only, it will return 16, but if it supports AVX-512F, it'll return 64 (etc). This only reports values for instruction sets SDL knows about, so if your SDL build doesn't have SDL_HasAVX512F (), then it might return 16 for the SSE support it sees and not 64 for the AVX-512 instructions that exist but SDL doesn't know about. Plan accordingly.

RETURN VALUE
Returns the alignment in bytes needed for available, known SIMD instructions.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_aligned_alloc(3), SDL_aligned_free(3)